*,
*::before,
*::after {
	padding: 0;
	margin: 0;
	box-sizing: inherit;
}

html {
	font-size: 62.5%;
}

body {
	box-sizing: border-box;
	font-family: 'Open Sans', sans-serif;
	font-weight: 400;
	color: black;
	font-size: 1.6rem;
	line-height: 1.7;
}

.clearfix::after {
	content: "";
	clear: both;
	display: table;
}

header {
	position: relative;
}

.header__body,
.header__body img {
	width: 100%;
	background-size: : cover;
	background-position: top center;
	height: 100vh;
}

.header__body--overlay {
	width: 100%;
	background-color: rgba(0, 0, 0, 0.5);
	position: absolute;
	top: 0;
	height: 100%;
}

.header__body--overlay-text {
	position: absolute;
	color: white;
	width: 60%;
  left: 50%;
  margin-left: -30%;
  top: 50%;
  margin-top: -50px;
  text-align: center;
  line-height: 1.2;
  height: auto;
}

.header__body--overlay-text h1 {
	font-size: 6rem;
}

.header__body--overlay-text p {
	font-size: 2rem;
}

.btn:link,
.btn:visited {
	text-decoration: none;
	padding: 1.5rem 4rem;
	display: inline-block;
	border: 0.3rem solid red;
	margin-top: 2rem;
}

.btn:hover {
	background-color: red;
	color: white;
}

.btn-white {
	background-color: white;
	color: red;
}

.header__body-nav {
	position: fixed;
	top: 0;
	background-color: white;
	width: 100%;
	padding: 0 3rem;
}

.header__body-nav--logo {
	float: left;
	transform: translateY(3%);
}

.logo-box {
	height: 10rem;
}

.logo-box a {
	text-decoration: none;
	color: black;
}

.logo {
	top: 50%;
  transform: translateY(20%);
  font-size: 4rem;
}

span {
	color: red;
}

.header__body-nav--links {
	float: right;
	transform: translateY(150%);
}

.header__body-nav--links ul {
	list-style: none;
}

.header__body-nav--links ul li {
	display: inline-block;
	padding: 0 3rem;
}

.header__body-nav--links ul li:first-child {
	padding-left: 0;
}

.header__body-nav--links ul li:last-child {
	padding-right: 0;
}

.header__body-nav--links ul li a {
	text-decoration: none;
	color: black;
}

.header__body-nav--links ul li a:hover {
	color: red;
}

.movies__section {
	width: 85%;
  margin: 0 auto;
  max-width: 115rem;
  padding: 4rem 0;
}

.movies__section h2 {
	font-size: 3rem;
}

.movies__body {
	display: flex;
	justify-content: space-between;
	padding: 2rem 0;
}

.cards {
	border: 0.1rem gray solid;
	margin-bottom: 2rem;
}

.name-and-price {
	padding: 1rem;
}

.pay:link,
.pay:visited {
	text-decoration: none;
	display: inline-block;
	border: 0.2rem solid red;
	width: 100%;
	text-align: center;
}

.pay:hover {
	background-color: red;
	color: white;
}

.pay-button {
	background-color: white;
	color: red;
}

footer {
	background-color: black;
	color: white;
	font-size: 1.2rem;
}

.footer__container {
	display: flex;
	flex-direction: row;
	max-width: 115rem;
	width: 85%;
	margin: 0 auto;
	justify-content: space-between;
}

.footer__container h4 {
	font-size: 1.6rem;
}

.about__us,
.contact {
	width: 40%;
	max-height: 46rem;
	margin: 3rem 0;
}

.contact h4 {
	padding: 0 3.2rem;
}

.phone__details {
	display: flex;
	margin-bottom: 1rem;
}

.phone__icon,
.location__icon {
	padding: 0 1rem;
}

address {
	display: flex;
}

.social__container {
	display: flex;
	justify-content: center;
}

.social__links {
	padding: 2rem;
	font-size: 2rem;
}

.social__links a {
	text-decoration: none;
	color: gray;
}

.social__links a:hover {
	color: white;
}

.copyright {
	text-align: center;
}

@media only screen and (max-width: 1120px) {
	.movies__body {
		display: flex;
		flex-wrap: wrap;
	}
}

@media only screen and (max-width: 700px) {
	.logo {
		top: 50%;
	  transform: translateY(20%);
	  font-size: 3.5rem;
	}

	span {
		color: red;
	}

	.header__body-nav--links {
		transform: translateY(130%);
	}

	.header__body--overlay-text h1 {
		font-size: 5rem;
	}

	.header__body--overlay-text p {
		font-size: 1.5rem;
	}
}

@media only screen and (max-width: 650px) {
	body {
		font-size: 1.3rem;
	}

	.header__body-nav--logo,
	.header__body-nav--links {
		float: none;
		transform: none;
		text-align: center;
	}

	.header__body-nav--links {
		margin-bottom: 1rem;
	}

	.logo {
	  font-size: 2.5rem;
	}

	.header__body--overlay-text h1 {
		font-size: 3rem;
	}

	.header__body--overlay-text p {
		margin-top: 0.5rem;
	}

	.btn:link,
	.btn:visited {
		padding: 1rem 2rem;
		border: 0.2rem solid red;
	}

	.logo-box {
		height: 5rem;
	}

	.header__body-nav--links ul li {
		padding: 0 2rem;
	}

	.movies__section h2 {
		font-size: 2.5rem;
		text-align: center;
	}

	.cards {
		margin: 2rem auto;
	}
}
